/* gug_image.pike
 *
 */

int main(int argc, array(string) argv)
{
  if (argc != 2)
    {
      write("Usage: gug_image ppm-file\n");
      exit(1);
    }

  object image = Widgets.Image();
  image->image = Image.PNM.decode(Stdio.read_bytes(argv[1]));

  object window = Widgets.Window();
  object align = Widgets.Alignment();
  align->xalign = 0.5;
  align->yalign = 0.4;

  align->add(image);
  window->add(align);

  object device = GUG.open_default_device();
  window->use_device(device);
  window->show();

  return -17;
}
